This is an automated email from the git hooks/post-receive script.

mestre-guest pushed a commit to branch master
in repository libdancer2-perl.

commit 2e648a00ef7cfcb94acb231d0994a222f124b3e6
Author: Nuno Carvalho <sm...@cpan.org>
Date:   Wed Jul 13 11:05:57 2016 +0100

    Add a patch to remove EU::MM required version
---
 debian/changelog                             |  1 +
 debian/patches/remove-eumm-version-req.patch | 62 ++++++++++++++++++++++++++++
 debian/patches/series                        |  1 +
 3 files changed, 64 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 68073d4..0a4eb5d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,7 @@
 libdancer2-perl (0.200003+dfsg-1) UNRELEASED; urgency=medium
 
   * Remove spelling.patch, fixed upstream.
+  * Add a patch to remove ExtUtils::MakeMaker required version.
 
  -- Nuno Carvalho <sm...@cpan.org>  Wed, 13 Jul 2016 10:22:17 +0100
 
diff --git a/debian/patches/remove-eumm-version-req.patch 
b/debian/patches/remove-eumm-version-req.patch
new file mode 100644
index 0000000..5d1df48
--- /dev/null
+++ b/debian/patches/remove-eumm-version-req.patch
@@ -0,0 +1,62 @@
+Description: remove required version for ExtUtils::MakeMaker, this is only
+ required to avoid YAML version 1.16 which is not packaged for debian
+Author: Nuno Carvalho <sm...@cpan.org>
+Last-Update: 2016-06-28
+
+Index: libdancer2-perl/Makefile.PL
+===================================================================
+--- libdancer2-perl.orig/Makefile.PL
++++ libdancer2-perl/Makefile.PL
+@@ -4,7 +4,7 @@ use warnings;
+ 
+ 
+ 
+-use ExtUtils::MakeMaker 7.1101;
++use ExtUtils::MakeMaker;
+ 
+ use File::ShareDir::Install;
+ $File::ShareDir::Install::INCLUDE_DOTFILES = 1;
+@@ -16,7 +16,7 @@ my %WriteMakefileArgs = (
+   "ABSTRACT" => "Lightweight yet powerful web application framework",
+   "AUTHOR" => "Dancer Core Developers",
+   "CONFIGURE_REQUIRES" => {
+-    "ExtUtils::MakeMaker" => "7.1101",
++    "ExtUtils::MakeMaker" => "0",
+     "File::ShareDir::Install" => "0.06"
+   },
+   "DISTNAME" => "Dancer2",
+@@ -62,7 +62,7 @@ my %WriteMakefileArgs = (
+     "Template::Tiny" => 0,
+     "Type::Tiny" => "0.008",
+     "URI::Escape" => 0,
+-    "YAML" => ">= 0.86, != 1.16",
++    "YAML" => "0.86",
+     "parent" => 0
+   },
+   "TEST_REQUIRES" => {
+Index: libdancer2-perl/META.json
+===================================================================
+--- libdancer2-perl.orig/META.json
++++ libdancer2-perl/META.json
+@@ -16,7 +16,7 @@
+    "prereqs" : {
+       "configure" : {
+          "requires" : {
+-            "ExtUtils::MakeMaker" : "7.1101",
++            "ExtUtils::MakeMaker" : "0",
+             "File::ShareDir::Install" : "0.06"
+          }
+       },
+Index: libdancer2-perl/META.yml
+===================================================================
+--- libdancer2-perl.orig/META.yml
++++ libdancer2-perl/META.yml
+@@ -15,7 +15,7 @@ build_requires:
+   Test::Fatal: '0'
+   Test::More: '0.92'
+ configure_requires:
+-  ExtUtils::MakeMaker: '7.1101'
++  ExtUtils::MakeMaker: '0'
+   File::ShareDir::Install: '0.06'
+ dynamic_config: 0
+ generated_by: 'Dist::Zilla version 6.006, CPAN::Meta::Converter version 
2.143240'
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..284c926
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1 @@
+remove-eumm-version-req.patch

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libdancer2-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to